﻿using Syncfusion.DataSource;
using Syncfusion.ListView.XForms;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

using Xamarin.Forms;

namespace Grouping
{
    public partial class GroupingPage : ContentPage
    {
        #region Constructor

        public GroupingPage()
        {
            InitializeComponent();
            listView.DataSource.SortDescriptors.Add(new SortDescriptor { PropertyName = "ContactName", Direction = ListSortDirection.Ascending });
            listView.DataSource.GroupDescriptors.Add(new GroupDescriptor()
            {
                PropertyName = "ContactName",
                KeySelector = (object obj1) =>
                {
                    var item = (obj1 as Contacts);
                    return item.ContactName[0].ToString();
                },
            });
            AbsoluteLayout.SetLayoutFlags(gridLayout, AbsoluteLayoutFlags.All);
            AbsoluteLayout.SetLayoutBounds(gridLayout, new Rectangle(0, 0, 1, 1));
            absoulteLayout.Children.Add(gridLayout);
            listView.ItemTapped += ListView_ItemTapped;
        }

        private void ListView_ItemTapped(object sender, Syncfusion.ListView.XForms.ItemTappedEventArgs e)
        {
            DisplayAlert("Tapped Item", "The tappped item is " + (e.ItemData as Contacts).ContactName, "OK");
        }

        #endregion
    }
}
